from pathlib import Path
from typing import Optional

from ..client import ProjectDefinition
from .common import FieldChain, ProjectDefinitionParser


class ProjectYamlDefinitionParser(ProjectDefinitionParser):
    def __init__(self, path: Path, field_chain: Optional[FieldChain] = None):
        super().__init__(
            path, "", "project.json", payload=None, field_chain=field_chain
        )

    def parse(self) -> ProjectDefinition:
        payload = self._safe_payload()
        project_name = payload["name"]
        return ProjectDefinition(
            name=project_name,
        )
